Tecnologia e non solo

giugno 24, 2008

xserver-xorg-video-intel_2.3.2 su Ubuntu hardy heron

Filed under: Hardy,intel video — telperion @ 5:09 pm

Nei commenti di questo articolo vervelover e Reload lamentavano problemi con alcuni effetti (riflesso blur) e con l’overlay dei video, in Ubuntu Hardy Heron

Mentre non ho verificato alcun problema con rifessi e blur
in effetti con i driver xserver-xorg-video-intel-2:2.2.1-1ubuntu12 di Hardy,
l’overlay del video non è perfetto e muovendo le finestre queste diventano blu.

Presi sorgenti e diff da Debian unstable dei pacchetti xserver-xorg-video-intel (2:2.3.2-1) adattati control e rules per farli compilare in Hardy,
compilati ed installati i pacchetti generati da debuild binary

xserver-xorg-video-intel_2.3.2-1_amd64.deb
xserver-xorg-video-i810_2.3.2-1_all.deb

ed ecco il risultato:

Overlay perfetto.

Annunci

25 commenti

  1. con questo si risolve il problema dei video scattosi?

    Commento di sinami — giugno 24, 2008 @ 9:07 pm

  2. Io me li compilo da svn 🙂 vanno che è una meraviglia con la X3500
    http://intellinuxgraphics.org/
    Ciao!

    Commento di Lex — giugno 24, 2008 @ 9:27 pm

  3. Son contento che ci sia una soluzione funzionante, speriamo che presto diventi “a portata di tutti” (leggasi di defoooltt)

    Commento di Reload — giugno 24, 2008 @ 11:13 pm

  4. Ah cmq mo che ci penso, parecchio tempo fa c’era un’altra soluzione, probabilmente piu grezza perche “agisce” a un livello superiore. Utilizzare mplayer patchato all’uopo e il plugino “video” di compiz (per chi almeno una volta nella vita si sia chiesto a cosa servisse ecco, serve a questo :D). La segnalai tempo fa al tuo amato(?) felipe perche avesse una piu ambia visibilità
    Una solzione a livello xorg è ovviamente meglio!

    Commento di Reload — giugno 24, 2008 @ 11:17 pm

  5. Telperion sei sempre più invidioso!

    Commento di imu — giugno 25, 2008 @ 12:59 pm

  6. Guarda, se metti un link coi pacchetti .deb già fatti da te, sei veramente un grande. Sinceramente avrei qualche difficoltà a creare i .deb dai sorgenti, dovendo pure modificare control e rules non ne parliamo..

    Commento di vervelover — giugno 25, 2008 @ 1:24 pm

  7. ciao Telp…

    xfavore.. davvero xfavore …

    come da te citato:
    Presi sorgenti e diff da Debian unstable dei pacchetti xserver-xorg-video-intel (2:2.3.2-1) adattati control e rules per farli compilare in Hardy,
    compilati ed installati i pacchetti generati da debuild binary

    puoi caricare su uno spazio web i pacchetti .deb già fatti da te perchè io non so compilare un H!! ed ho appena dovuto rinstallare hardy perchè avevo iniziato a modificare xorg (causa maggiore mi ero extra rotto di non poter attivare il plugin blur con compiz fusion da git grazie al tuo fantastico script…)
    forse con xserver-xorg-video-intel (2:2.3.2-1) finalmente posso ottenre il BLUR ((magari… non immagini quanto lo desidero.. a pensare ke la mia svideo attiva aero perfettamente GMA 950 , beryl perfettamente ma comp fus NADA totale.. ho seguito anche la tua guida per avere il blur grazie ad emerald e settaggi a gconf ma purtroppo nada totale….))

    AIUTAMI TI PREGO…

    Luca

    Commento di Luca — giugno 26, 2008 @ 1:58 pm

  8. @Luca
    questi driver con il blur (che io ho disattivato perchè troppo esoso di risorse) non c’entrano nulla, se funziona con la tua scheda funziona anche con i driver si Ubuntu, altrimenti non cambia nulla.
    L’unica differenza di questi nuovi driver è la corretta gestione dell’overaly video.

    I pacchetti magari li metto on line, ma non prima di averli testati almeno una settimana a scanso di problemi.
    E non è che Ubuntu lo uso tanto (data l’invidia 😉 ciao imu).

    Commento di telperion — giugno 26, 2008 @ 2:27 pm

  9. ciao Telp 6 un grande perchè il tuo blog è ricco di chicce davvero utili…

    in + perchè hai risposto quasi immediatamente alla mia domanda..

    infine ti volevo sottoporre l’ultima domanda..

    Ma come mai beryl attiva sulla mia INTEL GMA 950 (di un macbook CD2) lo stramaledetto blur mentre comp fus NO???????

    Guarda.. davvero non riesco a darmi pace……

    Se puoi e se ne hai tempo… please mi puoi aiutare…

    GRAZIE MILLE in tutte le lingue del mondo!!!

    Commento di Luca — giugno 26, 2008 @ 2:43 pm

  10. perchè beryl usa un algoritmo di blur differente da compiz.

    Commento di telperion — giugno 26, 2008 @ 2:58 pm

  11. ciao Telp grazie ancora mille per l’aiuto… ultima domanda ((spero)) poi la smetto di infastidirti…

    ma allora non si puo davvero fare nulla???

    a me non funziona davvero.. e l’ho provate tutte.. emerald.. gconf… filtro gaussian.. bilinear.. e tantissimo altro ma.. nada totale..

    anzi!!

    ho visto ke nemmeno kwin di kde4 mi avvia il blur.. cioè me lo spunta ma.. di fatto non lo avvia…

    Please help me!!

    thank’s

    Commento di Luca — giugno 26, 2008 @ 3:02 pm

  12. @Luca
    evidentemente la tua scheda non supporta in hw quella funzione opengl. Ad esempio la mia G31 la supporta anche se praticamente è inusabile vista la grande richiesta di calcolo.
    Se vuoi tutte le funzioni OGL attive devi comperare una scheda superiore come una Nvidia 6600 7600 8600 9600.
    Anche goggle earth con la G31 è praticamente inutilizzabile, rispetto ad una vecchia Nvidia 5600 dove funziona abbastanza bene.
    Le schede integrate costano poco ma non fanno miracoli.

    Commento di telperion — giugno 26, 2008 @ 3:26 pm

  13. Grazie Telp…
    e dire… che l’effetto Blur di sVISTA fa letteralmente paura… sigh!!!

    di beryl.. fa il suo modesto lavoro…

    di fusion… NADA totale…!!! SIGH SIGH SIGH!!!

    Comunque per quanto mi riguarda non posso aggiungere o cambiare S-video causa == portatile APPLE ((ho un macbook Cd2))

    HARDWARE/SOFTWARE CLOSEDDDDDDDD

    arghhhhhhhhh……..

    che sfigaaa

    se solo si riuscisse in qualche modo assurdo ad estrapolare il plugin blur da beryl e sostituirlo a quello di fusion…

    penso ke molti… ne trarrebbero beneficio….

    grazie Telp..

    come blogger sei fantastico…

    e come persona… ti superi…

    6 il migliore!!!

    Commento di Luca — giugno 26, 2008 @ 3:51 pm

  14. L’effetto BLUR di Vista è fatto dalle DirectX che tanto schifo non fanno anche se spesso si leggono “stupidaggini” varie dei fanatici OSS.

    Commento di telperion — giugno 26, 2008 @ 3:55 pm

  15. @telperion #14: eh … quanto è vero 😐

    Commento di LuNa — giugno 26, 2008 @ 4:40 pm

  16. @Luca

    Allora: abbiamo appurato che io e telperion abbiamo la stessa scheda video (GMA X3100) e a me il blur non va, e a telperion sì. Credo dunque che il problema sia solo compiz, con quello di default in hardy il blur non va. Credo che ti convenga aggiornarlo in qualche modo.

    @telperion

    ti scoccia mandarmi per e-mail i pacchetti .deb? Posso aiutarti a testarli, se mi fanno casino faccio il downgrade a quelli di default, comunque non ti preoccupare aspetto anche tranquillamente che li metti online ho fatto senza finora posso fare senza ancora un po’.

    Commento di vervelover — giugno 26, 2008 @ 4:45 pm

  17. @vervelover
    le schede sono della stessa famiglia ma non credo siano lo stesso chip. Info della mia:

    http://pastebin.com/f34075a96

    Commento di telperion — giugno 26, 2008 @ 5:02 pm

  18. Il blur di beryl (che non richiede pixel shader) è usato in questo plugin

    http://gitweb.opencompositing.org/?p=users/smspillaz/basicblur;a=summary

    Solo che “blurra” tutte la finestre inattive e non solo le decorazioni trasparenti, quindi è poco utile e non lo ho inserito in makefusion9.

    Se avete installato con makefusion9 potete scaricare lo snapshot più recente quindi scompattate e nella cartella risultante fate

    make && make install

    e avrete il plugin basicblur da provare.

    Commento di telperion — giugno 26, 2008 @ 5:37 pm

  19. driver intel 2.3.2 ubuntu 8.04 i386 a64.tar.bz2 (2.98 MB)
    http://www.mediafire.com/?tyxwmtkpzah

    A vostro completo rischio e pericolo.

    Bisogna installare entrambi i pacchetti,
    nella cartella i386 o a64

    sudo dpkg -i *.deb

    ci sono anche le cartelle con i pacchetti originali Ubuntu.

    Se ne sconsiglia l’uso ai non esperti, agli incoscenti ed ai soggetti emotivamente alterati.

    A vostro completo rischio e pericolo.

    Commento di telperion — giugno 26, 2008 @ 7:47 pm

  20. Ciao Telp..

    innanzi grazie x i pakketti deb.. davvero comodi.. 6 fantastico!!!

    Poi ti volevo chiedere ho usato il consiglio che mi hai dato con il plugin basic blur,
    ho estratto la cartella dentro fusion in home, poi ci sono entrato da terminale
    infine ho dato i comandi:

    make ((e fin qui tutto ok))

    poi

    make install (e qui vengono i problemi)

    infatti mi restituisce:

    luca@luca-laptop:~$ cd /home/luca/fusion/basicblur
    luca@luca-laptop:~/fusion/basicblur$ make
    convert : basicblur.xml.in -> build/basicblur.xml
    bcop’ing : build/basicblur.xml -> build/basicblur_options.h
    bcop’ing : build/basicblur.xml -> build/basicblur_options.c
    schema : build/basicblur.xml -> build/compiz-basicblur.schema
    compiling : basicblur.c -> build/basicblur.lobasicblur.c: In function ‘basicblurToggleScreen’:
    basicblur.c:102: warning: unused variable ‘nw’
    basicblur.c: In function ‘basicblurPaintWindow’:
    basicblur.c:181: warning: unused variable ‘sAttrib’
    compiling : basicblur.c -> build/basicblur.lo
    compiling : build/basicblur_options.c -> build/basicblur_options.lo
    linking : build/libbasicblur.la
    luca@luca-laptop:~/fusion/basicblur$ make install
    install : /home/luca/.compiz/plugins/libbasicblur.so
    install : /home/luca/.compiz/metadata/basicblur.xml
    install : build/compiz-basicblur.schemaATTENZIONE: analisi del valore “b” per lo schema (/schemas/apps/compiz/plugins/basicblur/screen0/options/blur_factor) fallita
    install : build/compiz-basicblur.schema
    luca@luca-laptop:~/fusion/basicblur$

    entro in ccsm spunto basicblur e crasha compiz fusion ed emerald…

    ti prego… a questo punto penso di stare vicino alla riuscita del tanto sognato blur non mi abbandonare..

    GRAZIE MILLE..

    volevo ringraziare anche:

    vervelover

    anche se pur avendo comp fus tramite script Telperion, purtroppo ammetto niente blur!!!

    Commento di Luca — giugno 26, 2008 @ 10:22 pm

  21. @ telperion

    innanzitutto grazie mille, sei un grande. Purtroppo però per me questi driver hanno sì risolto i problemi di overlay, ma mi è ritornato un bug che avevo coi primi driver di hardy pima che si aggiornassero: in pratica quando parte un video la luminosità si abbassa sempre e devo tirarla su ogni volta, probabilmente il bug era stato risolto dagli sviluppatori di ubuntu solo per i pacchetti di hardy.. Inoltre i video vanno a scatti, ho downgradato e per vlc tutto a posto, per totem ho dovuto cancellare il file delle impostazioni in .config/totem. Farò comunque un ultimo tentativo. Grazie ancora! Mi pare a conti fatti che il rischio nell’installare questi pacchetti sia minimo basta downgradare se ci sono problemi.

    Commento di vervelover — giugno 26, 2008 @ 10:32 pm

  22. Ho riprovato, confermo i problemi con i video. Applicazioni 3d e compiz ok, per le prime prestazioni scarse ma erano scarse anche prima.

    Commento di vervelover — giugno 26, 2008 @ 10:45 pm

  23. bravo, complimenti…..perchè nn ci fai scaricare questi pacchetti cosi funzionanti??’

    Commento di d3xt3r — giugno 27, 2008 @ 12:43 am

  24. @Luca:
    il plugin è installato correttamente, se non và è per problemi del plugin medesimo.
    Provato adesso confermo il plugin basicblur è bacato non funziona e crasha compiz.

    @vervelover:
    peccato io non riscontro ne problemi di luminosità ne di video a scatti (non di più dei driver ubuntu).
    I video vanno a scatti a schermo intero per via del nuovo overlay che mappa con compiz in texture opengl.
    Da ccsm -> generali -> annullare rei-ndirizzamento finestre a schermo intero
    metti la spunta e riavvia compiz, e i video non dovrebbero più scattare.
    Per la luminosità non saprei.

    Commento di telperion — giugno 27, 2008 @ 7:38 am

  25. @ telperion

    grazie ma niente da fare, più che a scatti vanno proprio lentissimi e consumano il massimo dell cpu, ho provato a cambiare modulo di uscita pensando che per qualche motivo era andato su X11, ma era correttamente impostato su Xv che mi ha sempre funzionato.. per la luminosità avevo questo problema in comune con vari utenti, aperto un tread su ubuntu.it, problema risolto con aggiornamento driver hardy+xbacklight per aumentare la luminosità all’avvio. Ho confrontato lspci -v col tuo, e in effetti la scheda pare essere un po’ diversa, il mio è il modello mobile poi ci sono varie altre differenze.

    Commento di vervelover — giugno 27, 2008 @ 10:16 am


RSS feed for comments on this post.

%d blogger hanno fatto clic su Mi Piace per questo: